View Issue Details

IDProjectCategoryView StatusLast Update
0002777SymmetricDSBugpublic2016-09-16 09:00
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.4Fixed in Version3.8.4 
Summary0002777: Initial load waits for extraction that never happens
DescriptionThe initial load extractor was enabled in 3.8, which uses a background thread to extract batches. The foreground thread checks if a batch is ready to send. If its staging file is missing, it reschedules the batch for extraction. This happens if the user deletes staging files or the initial load takes a long time and the staging manager deletes the files. If one of the first batches has been sent and OK'ed, the extractor will not re-extract batches and gets into an infinite loop

Extracting batches for request 4. Starting at batch 96. Ending at batch 106
Batch {} is not ready for delivery. It is currently scheduled for extraction
Batch 1-106 is marked as ready but it has been deleted. Rescheduling it for extraction
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 b302f5ca

2016-09-09 09:34:00

admin

Details Diff
0002777: Initial load waits for extraction that never happens
0002777
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

Issue History

Date Modified Username Field Change
2016-09-08 12:18 elong New Issue
2016-09-08 12:18 elong Status new => assigned
2016-09-08 12:18 elong Assigned To => elong
2016-09-09 09:33 elong Description Updated View Revisions
2016-09-09 09:42 elong Status assigned => resolved
2016-09-09 09:42 elong Fixed in Version => 3.8.4
2016-09-09 09:42 elong Resolution open => fixed
2016-09-09 12:00 admin Changeset attached => SymmetricDS 3.8 b302f5ca
2016-09-16 09:00 admin Status resolved => closed